SPLIT(1)

NAME
split - split up a file

SYNOPSIS
split [-a num] [-b num[k|m|g] | -l num] [-d] [file [prefix]]

DESCRIPTION
split splits file into files with 1000 lines each, named with prefix "x" followed by 2-digit alphabetical count suffixes. If split runs out of suffixes, it stops after the last valid filename.

OPTIONS

-a num
    Set suffix length to num characters. The default is 2.

-b num[k|m|g] | -l num
    Start a new file every num bytes | lines. The units k, m, and g are case insensitive and powers of 2, not 10. The default is 1000 lines.

-d  Use decimal rather than alphabetical suffixes.

SEE ALSO
cat(1)

STANDARDS
POSIX.1-2013.

The [-d] flag and g unit are an extension to that specification.